<template lang="pug">
title-bar( icon="plus-circle" @click='$router.push({ name: "BrandCreate" })' ) {{$t("default.nav.brands")}}
b-container
	.tile.is-ancestor
		.tile.is-parent
			b-card.tile.is-child
				b-table( :columns='columns' :data='brands' )
					template( v-slot:buttons='{ item }' )
						.buttons.are-small
							b-button( @click='bs.deleteBrand(item.id)' type="danger" size="small" )
								span.icon.is-small
									i.fa-solid.fa-trash-can
							b-button( node="router-link" :to='{ name: "Brand", params: { id: item.id } }' type="link" size="small" )
								span.icon.is-small
									i.fa-solid.fa-arrow-right
</template>

<script setup>
	import BTable from "@/components/table/Table.vue"

	import { computed, onMounted } from "vue"
	import { useBrandStore } from "@/stores/brand"
	import { useRouter } from "vue-router"
	import { useI18n } from "vue-i18n"

	const $router = useRouter()
	const bs = useBrandStore()
	const { t } = useI18n()

	const columns = computed(() => [ 
		{ field: "id", label: "ID" },
		{	field: "name", label: t("form.name") },
		{ field: "buttons" }
	])

	const brands = computed(() => bs.brands)

	const fetch = async () => {
		await bs.getBrands()
	}

	onMounted(fetch)
</script>

<style lang="scss"></style>